typedef struct
{
    int type;
    int(* proc)(config_t *, char *, int);
    char * cmnd;
} command_t;

/* external function to call */
int command(config_t *, char *, int);

/* support functs */
int cmp_command(char *, int, char *);

/* command functions */
/* unknown trap */
int command_unknown(config_t *, char *, int);
/* missing arguments trap */
int command_missing_args(config_t *, char *, int);
/* individual commands */
int command_shut(config_t *, char *, int);
int command_quit(config_t *, char *, int);
int command_help(config_t *, char *, int);
int command_scan(config_t *, char *, int);
int command_list(config_t *, char *, int);
int command_stat(config_t *, char *, int);
int command_stop(config_t *, char *, int);
int command_dial(config_t *, char *, int);
